###

#

MutableHomogeneousColorBaseConcept< ColorBase > Struct Template Reference
ColorBase » Concepts

Homogeneous color base that allows for modifying its elements. More...

`#include <color_base.hpp>`

## Public Member Functions

void | constraints ()

## Public Attributes

ColorBase | cb

## Detailed Description

template<typename ColorBase>
struct boost::gil::MutableHomogeneousColorBaseConcept< ColorBase >

Homogeneous color base that allows for modifying its elements.

concept MutableHomogeneousColorBaseConcept<ColorBaseConcept CB>
: HomogeneousColorBaseConcept<CB>
{
kth_element_reference_type<CB, 0>::type dynamic_at_c(CB&, std::size_t n);
};
boost::gil::ColorBaseConcept
A color base is a container of color elements (such as channels, channel references or channel pointe...
Definition: concepts/color_base.hpp:138
boost::gil::HomogeneousColorBaseConcept
Color base whose elements all have the same type.
Definition: concepts/color_base.hpp:228
boost::gil::MutableHomogeneousColorBaseConcept
Homogeneous color base that allows for modifying its elements.
Definition: concepts/color_base.hpp:258

The documentation for this struct was generated from the following file:

- concepts/color_base.hpp